__WAKE_UP_SYNC(9)

NAME
__wake_up_sync - wake up threads blocked on a waitqueue.

SYNOPSIS

void fastcall __wake_up_sync (wait_queue_head_t * q, unsigned int mode, int nr_exclusive);

ARGUMENTS

q   the waitqueue

mode
    which threads

nr_exclusive
    how many wake-one or wake-many threads to wake up

DESCRIPTION

The sync wakeup differs that the waker knows that it will schedule away soon, so while the target thread will be woken up, it will not be migrated to another CPU - ie. the two threads are 'synchronized' with each other. This can prevent needless bouncing between CPUs.

On UP it can prevent extra preemption.